## gate.creole
Class SerialAnalyserController

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer
            |
            +--gate.creole.AbstractResource
                  |
                  +--gate.creole.AbstractController
                        |
                        +--gate.creole.SerialController
                              |
                              +--gate.creole.SerialAnalyserController

All Implemented Interfaces:
  Controller, CreoleListener, EventListener, Executable, FeatureBearer, NameBearer, Resource, Serializable

public class SerialAnalyserController
extends SerialController

This class implements a SerialController that only contains `LanguageAnalyser`s. It has a `Corpus` and its execute method runs all the analysers in turn over each of the documents in the corpus.

See Also:
  Serialized Form

Inner classes inherited from class gate.creole.AbstractController
`AbstractController.InternalStatusListener, AbstractController.IntervalProgressListener`

Field Summary
`private Corpus` `corpus`

Fields inherited from class gate.creole.SerialController
`prList, sListener`

Fields inherited from class gate.creole.AbstractController
`interrupted, name, progressListeners, statusListeners`

Fields inherited from class gate.creole.AbstractResource
`serialVersionUID`

Fields inherited from class gate.util.AbstractFeatureBearer
`features`

Constructor Summary
`SerialAnalyserController()`

Method Summary
`void` `add(ProcessingResource pr)` Overidden from `SerialController` to only allow `LanguageAnalyser`s as components.
`void` `execute()` Run the Processing Resources in sequence.
`Corpus` `getCorpus()`
`List` `getOffendingPocessingResources()` Checks whether all the contained PRs have all the required runtime parameters set.
`void` `setCorpus(Corpus corpus)`
`protected void` `setDocToPrs(Document doc)` Sets the current document to the memeber PRs

Methods inherited from class gate.creole.SerialController
`add, checkParameters, datastoreClosed, datastoreCreated, datastoreOpened, getPRs, remove, remove, resourceLoaded, resourceUnloaded, runComponent, set, setPRs`

Methods inherited from class gate.creole.AbstractController
`addProgressListener, addStatusListener, cleanup, fireProcessFinished, fireProgressChanged, fireStatusChanged, getName, init, interrupt, isInterrupted, removeProgressListener, removeStatusListener, setName`

Methods inherited from class gate.creole.AbstractResource
`checkParameterValues, getParameterValue, getParameterValue, removeResourceListeners, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

Methods inherited from class gate.util.AbstractFeatureBearer
`getFeatures, setFeatures`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface gate.Resource
`getParameterValue, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Field Detail

### corpus

    private Corpus corpus

Constructor Detail

### SerialAnalyserController

    public SerialAnalyserController()

Method Detail

### getCorpus

    public Corpus getCorpus()

### setCorpus

    public void setCorpus(Corpus corpus)

### execute

    public void execute()
                 throws ExecutionException

  Run the Processing Resources in sequence.
  Overrides:
    `execute` in class `SerialController`

### add

    public void add(ProcessingResource pr)

  Overidden from `SerialController` to only allow `LanguageAnalyser`s as components.
  Overrides:
    `add` in class `SerialController`

### setDocToPrs

    protected void setDocToPrs(Document doc)

  Sets the current document to the memeber PRs

### getOffendingPocessingResources

    public List getOffendingPocessingResources()
                                        throws ResourceInstantiationException

  Checks whether all the contained PRs have all the required runtime parameters set. Ignores the corpus and document parameters as these will be set at run time.
  Overrides:
    `getOffendingPocessingResources` in class `AbstractController`
  Returns:
    a `List` of `ProcessingResource`s that have required parameters with null values if they exist `null` otherwise.